/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao;

import es.uoc.maf.ejemplo.model.dao.vo.UsuarioVO;

/**
 * The Interface UsuarioDAO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface UsuarioDAO extends GenericDAO<Integer, UsuarioVO> {

	/**
	 * Find by codigo.
	 * 
	 * @param codigo
	 *            the codigo
	 * @return the usuario vo
	 */
	UsuarioVO findByCodigo(String codigo);

}
