/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao.vo;

import java.util.Set;

/**
 * The Class UsuarioVO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class UsuarioVO extends BaseVO {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1280715586218020065L;

	/** The codigo. */
	private String codigo;
	
	/** The clave. */
	private String clave;
	
	/** The nombre. */
	private String nombre;
	
	/** The apellidos. */
	private String apellidos;
	
	/** The nif. */
	private String nif;
	
	/** The cuentas. */
	private Set<CuentaVO> cuentas;

	/**
	 * Gets the codigo.
	 * 
	 * @return the codigo
	 */
	public String getCodigo() {
		return codigo;
	}
	
	/**
	 * Sets the codigo.
	 * 
	 * @param codigo
	 *            the new codigo
	 */
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}
	
	/**
	 * Gets the clave.
	 * 
	 * @return the clave
	 */
	public String getClave() {
		return clave;
	}
	
	/**
	 * Sets the clave.
	 * 
	 * @param clave
	 *            the new clave
	 */
	public void setClave(String clave) {
		this.clave = clave;
	}
	
	/**
	 * Gets the nombre.
	 * 
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}
	
	/**
	 * Sets the nombre.
	 * 
	 * @param nombre
	 *            the new nombre
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	/**
	 * Gets the apellidos.
	 * 
	 * @return the apellidos
	 */
	public String getApellidos() {
		return apellidos;
	}
	
	/**
	 * Sets the apellidos.
	 * 
	 * @param apellidos
	 *            the new apellidos
	 */
	public void setApellidos(String apellidos) {
		this.apellidos = apellidos;
	}
	
	/**
	 * Gets the nif.
	 * 
	 * @return the nif
	 */
	public String getNif() {
		return nif;
	}
	
	/**
	 * Sets the nif.
	 * 
	 * @param nif
	 *            the new nif
	 */
	public void setNif(String nif) {
		this.nif = nif;
	}
	
	/**
	 * Gets the cuentas.
	 * 
	 * @return the cuentas
	 */
	public Set<CuentaVO> getCuentas() {
		return cuentas;
	}
	
	/**
	 * Sets the cuentas.
	 * 
	 * @param cuentas
	 *            the new cuentas
	 */
	public void setCuentas(Set<CuentaVO> cuentas) {
		this.cuentas = cuentas;
	}
	
	
}
