<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://core.maf.uoc.es/taglib" prefix="mafc" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title><mafc:message key="html.title.transferencia" resource="messages.ejemplo"/></title>
</head>
<body>
	<%@include file="cabecera.jsp" %>

	<c:set var="action" value="${requestScope['es.uoc.maf.ACTION']}"/>
	<form action="transferencia.do" method="post">
		<label><mafc:message key="transferencia.origen" resource="messages.ejemplo"/></label>
		<select name="idCuentaOrigen">
			<option value="-1">&nbsp;</option>
			<c:forEach items="${action.cuentasUsuario}" var="origen">
				<option value="${origen.id}" 
					<c:if test="${action.form.idCuentaOrigen == origen.id}">selected="selected"</c:if>
					>${origen.descripcion}</option>
			</c:forEach>
		</select>
		<br/>
		<label><mafc:message key="transferencia.destino" resource="messages.ejemplo"/></label>
		<select name="idCuentaDestino">
			<option value="-1">&nbsp;</option>
			<c:forEach items="${action.cuentasDestino}" var="destino">
				<option value="${destino.id}" 
					<c:if test="${action.form.idCuentaDestino == destino.id}">selected="selected"</c:if>
					>${destino.descripcion}</option>
			</c:forEach>
		</select>
		<br/>
		<label><mafc:message key="transferencia.cantidad" resource="messages.ejemplo"/></label>
		<input type="text" name="cantidad" style="text-align: right;" value="<mafc:formProperty property="cantidad"/>"/>
		<br/>
		<a href="listarCuentas.do"><mafc:message key="enlace.cancelar" resource="messages.ejemplo" /></a>&nbsp;<input type="submit" value='<mafc:message key="btn.transferir" resource="messages.ejemplo"/>'/>
	</form>
</body>
</html>