/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core;

/**
 * The Class Constants.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class Constants {

	// CONSTANTES POR DEFECTO
	/** The Constant DEFAULT_CONFIG_FILE. */
	public static final String DEFAULT_CONFIG_FILE = "maf-configuration.xml";
	
	/** The Constant DEFAULT_FACTORY_CLASSNAME. */
	public static final String DEFAULT_FACTORY_CLASSNAME = "es.uoc.maf.framework.config.jaxb.impl.JAXBConfigurationFactory";
	
	/** The Constant DEFAULT_LOCALE. */
	public static final String DEFAULT_LOCALE = "es_ES";
	
	/** The Constant APPLICATION_MESSAGES_RESOURCE. */
	public static final String APPLICATION_MESSAGES_RESOURCE = "messages/maf-messages";
	
	// PARAMETROS SERVLET
	/** The Constant CONFIG_FILE_PARAMETER. */
	public static final String CONFIG_FILE_PARAMETER = "configFile";
	
	/** The Constant CONFIG_FACTORY_CLASSNAME_PARAMETER. */
	public static final String CONFIG_FACTORY_CLASSNAME_PARAMETER = "config.factory.class.name";
	
	// NAMESPACE DEL SCHEMA
	/** The Constant MAF_NAMESPACE. */
	public static final String MAF_NAMESPACE = "http://maf.uoc.es/maf-configuration";
	
	// RUTA AL FICHERO DEL SCHEMA
	/** The Constant CONFIG_SCHEMA_FILE. */
	public static final String CONFIG_SCHEMA_FILE = "xsd/maf-configuration.xsd";
	
	/** The Constant LOCALE_KEY. */
	public static final String LOCALE_KEY = "es.uoc.maf.LOCALE_KEY";
	
	// CLAVE DEL ACTION EN LA REQUEST
	/** The Constant ACTION_KEY. */
	public static final String ACTION_KEY = "es.uoc.maf.ACTION";
	
	/** The Constant ACTION_CONTEXT_KEY. */
	public static final String ACTION_CONTEXT_KEY = "es.uoc.maf.ACTION_CONTEXT";
	
	/** The Constant EXCEPTION_KEY. */
	public static final String EXCEPTION_KEY = "es.uoc.maf.EXCEPTION";

}
