/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.error;

import es.uoc.maf.core.action.Action;
import es.uoc.maf.core.action.utils.ActionContext;

/**
 * The Interface ErrorHandler.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface ErrorHandler {

	/**
	 * Handle.
	 * 
	 * @param error
	 *            the error
	 * @param action
	 *            the action
	 * @param actionContext
	 *            the action context
	 */
	public void handle(Throwable error, Action action, ActionContext actionContext);
}
