/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

/**
 * The Class CoreException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class CoreException extends RuntimeException {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -1947311355124513199L;

	/**
	 * Instantiates a new core exception.
	 */
	public CoreException() {
		super();
	}

	/**
	 * Instantiates a new core exception.
	 * 
	 * @param message
	 *            the message
	 * @param cause
	 *            the cause
	 */
	public CoreException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Instantiates a new core exception.
	 * 
	 * @param message
	 *            the message
	 */
	public CoreException(String message) {
		super(message);
	}

	/**
	 * Instantiates a new core exception.
	 * 
	 * @param cause
	 *            the cause
	 */
	public CoreException(Throwable cause) {
		super(cause);
	}

	
}
