/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.result;

import java.io.IOException;

import javax.servlet.ServletException;

import es.uoc.maf.core.action.utils.ActionContext;

/**
 * The Interface ResultType.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface ResultType {

	/**
	 * Generate.
	 * 
	 * @param actionContext
	 *            the action context
	 * @throws ServletException
	 *             the servlet exception
	 * @throws IOException
	 *             Signals that an I/O exception has occurred.
	 */
	public void generate(ActionContext actionContext) throws ServletException, IOException;
}
