/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.ejemplo.model.dao;

import java.util.List;

import es.uoc.maf.ejemplo.model.dao.vo.CuentaVO;

/**
 * The Interface CuentaDAO.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface CuentaDAO extends GenericDAO<Integer, CuentaVO> {

	/**
	 * Find cuentas usuario.
	 * 
	 * @param idUsuario
	 *            the id usuario
	 * @return the list
	 */
	List<CuentaVO> findCuentasUsuario(int idUsuario);

}
