<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://core.maf.uoc.es/taglib" prefix="mafc" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<head>
	<link rel="STYLESHEET" type="text/css" href="${pageContext.request.contextPath}/css/maf-ejemplo.css">
</head>
<div id="cabecera">
	<div id="datos_usuario" class="derecha">
		<c:set value="${sessionScope.usuario}" var="usuario"/>
		<c:if test="${usuario != null}">
			<c:out value="${usuario.nombre}"/>&nbsp;<c:out value="${usuario.apellidos}"/>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="logout.do"><mafc:message key="enlace.logout" resource="messages.ejemplo"/></a>
		</c:if>
	</div>
	<div id="datos_titulo">
		<div class="izquierda logo">
			<a href="http://www.uoc.edu"><img alt="LOGO UOC" src="${pageContext.request.contextPath}/images/logo_uoc.png"></a>
		</div>
		<div class="izquierda titulo"><mafc:message key="titulo.aplicacion" resource="messages.ejemplo"/></div>
	</div>
	<br class="clear"/>
</div>
<c:set scope="page" value="${requestScope['es.uoc.maf.ACTION']}" var="action"/>
<c:if test="${action != null}">
	<c:if test="${not empty action.actionMessages}"><div class="div_mensajes clear"><mafc:actionMessages/></div></c:if>
	<c:if test="${not empty action.actionErrors}"><div class="div_errores clear"><mafc:actionErrors/></div></c:if>
	<c:if test="${action.form != null and not empty action.form.formErrors}"><div class="div_errores clear"><mafc:formErrors/></div></c:if>
</c:if>

