<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://core.maf.uoc.es/taglib" prefix="mafc" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title><mafc:message key="html.title.cuentas" resource="messages.ejemplo"/></title>
</head>
<body>
	<%@include file="cabecera.jsp" %>
	
	<h4><mafc:message key="cuentas.usuario" resource="messages.ejemplo"/></h4>
	<table>
		<thead>
			<tr>
				<th><mafc:message key="cuenta.numeracion" resource="messages.ejemplo"/></th>
				<th><mafc:message key="cuenta.saldo" resource="messages.ejemplo"/></th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${requestScope['es.uoc.maf.ACTION'].cuentas}" var="cuenta">
				<tr>
					<td><a href="movimientos.do?idCuenta=<c:out value='${cuenta.id}'/>"><c:out value="${cuenta.descripcion}"/></a></td>
					<td align="right">&nbsp;<fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true"><c:out value="${cuenta.saldo}"/></fmt:formatNumber>&nbsp;</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
</body>
</html>