<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://core.maf.uoc.es/taglib" prefix="mafc" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title><mafc:message key="html.title.movimientos" resource="messages.ejemplo"/></title>
</head>
<body>
	<%@include file="cabecera.jsp" %>

	<c:set value="${requestScope['es.uoc.maf.ACTION'].cuenta}" var="cuenta"/>
	<h4><mafc:message key="movimientos.cuenta" resource="messages.ejemplo"/>:&nbsp;<c:out value="${cuenta.descripcion}"/>&nbsp(<mafc:message key="movimientos.cuenta.saldoActual" resource="messages.ejemplo"/>: <fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true">${cuenta.saldo}</fmt:formatNumber>)</h4>
	<table>
		<thead>
			<tr>
				<th><mafc:message key="movimientos.cuenta.destino" resource="messages.ejemplo"/></th>
				<th><mafc:message key="movimientos.cuenta.fecha" resource="messages.ejemplo"/></th>
				<th><mafc:message key="movimientos.cuenta.cantidad" resource="messages.ejemplo"/></th>
				<th><mafc:message key="movimientos.cuenta.saldoRestante" resource="messages.ejemplo"/></th>
				<th>&nbsp;</th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${requestScope['es.uoc.maf.ACTION'].movimientos}" var="movimiento">
				<tr>
					<td>&nbsp;<c:out value="${movimiento.destino.descripcion}"/>&nbsp;</td>
					<td>&nbsp;<fmt:formatDate value="${movimiento.fecha}" pattern="dd/MM/yyyy HH:mm:ss"/>&nbsp;</td>
					<c:if test="${movimiento.origen.id == cuenta.id}">
						<td align="right">&nbsp;<fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true"><c:out value="${0-movimiento.cantidad}"/></fmt:formatNumber>&nbsp;</td>
						<td align="right">&nbsp;<fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true"><c:out value="${movimiento.saldoRestanteOrigen}"/></fmt:formatNumber>&nbsp;</td>
					</c:if>
					<c:if test="${movimiento.destino.id == cuenta.id}">
						<td align="right">&nbsp;<fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true"><c:out value="${movimiento.cantidad}"/></fmt:formatNumber>&nbsp;</td>
						<td align="right">&nbsp;<fmt:formatNumber maxFractionDigits="2" minFractionDigits="2" groupingUsed="true"><c:out value="${movimiento.saldoRestanteDestino}"/></fmt:formatNumber>&nbsp;</td>
					</c:if>
					<td><a href="detalleMovimiento.do?idMovimiento=${movimiento.id}"><mafc:message key="enlace.detalleMovimiento" resource="messages.ejemplo" /></a></td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
	<br/>
	<a href="listarCuentas.do"><mafc:message key="enlace.volver" resource="messages.ejemplo" /></a>&nbsp;<a href="transferencia.do?inicio=true&idCuentaOrigen=${requestScope['es.uoc.maf.ACTION'].cuenta.id}"><mafc:message key="enlace.nuevaTransferencia" resource="messages.ejemplo" /></a>
</body>
</html>