/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.config;

import es.uoc.maf.core.form.FormBean;

/**
 * The Interface FormBeanConfig.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public interface FormBeanConfig {

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName();
	
	/**
	 * Gets the form class.
	 * 
	 * @return the form class
	 */
	public Class<FormBean> getFormClass();
}
