/**
 * Universitat Oberta de Catalunya
 * Ingeniera de Informtica
 * Proyecto fin de carrera
 * 
 * @author      Miguel Arias Fernndez 
 * @version     1.0    
 * 
 */
package es.uoc.maf.core.exceptions;

/**
 * The Class ConfigurationException.
 * 
 * @author Miguel Arias Fernndez
 * @version 1.0
 */
public class ConfigurationException extends CoreException {
	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3346956883479902794L;

	/**
	 * Instantiates a new configuration exception.
	 * 
	 * @param message
	 *            the message
	 * @param cause
	 *            the cause
	 */
	public ConfigurationException(String message, Throwable cause) {
		super(message, cause);
	}
	
}
